Subject: Re: [RFC] Replace rebase with filtering

From: Junio C Hamano <[email-masked]>
Date: Tue, 16 Jan 2007 14:53:26 -0800

Johannes Schindelin <[email-masked]> writes:

>> I'd put a simple patch to add the reset to git-merge.sh, but I'm not sure I
>> understand what --skip is doing in there with a 30 second peek.
>
> Better put "git reset --hard" into git-rebase.sh... Just search for 
> "--skip" and you will find where it has to go.

I'd later want to allow starting rebase from a dirty working
tree as long as the rebasing of the entire series would not
conflict with the local changes, so I would seriously prefer a
solution without "reset --hard".